curl -X POST 'https://api.goatpay.com.br/v1/customers/create' \
-H 'X-API-Key: gp_live_SUA_CHAVE' \
-H 'Content-Type: application/json' \
-d '{ "name": "Cliente Teste", "email": "cliente@email.com", "document": "12345678909" }'
{
"success": true,
"message": "Cliente criado",
"data": {
"id": "clx_customer",
"name": "Cliente Exemplo",
"email": "cliente@email.com",
"whatsapp": "11999999999",
"phone": "11999999999",
"document": "123.456.789-09",
"city": "São Paulo",
"state": "SP",
"type": "PF",
"status": "Ativo",
"createdAt": "2026-07-01T12:00:00.000Z",
"lastActivityAt": "2026-07-04T10:00:00.000Z",
"transactions": 5,
"volume": 499.5
},
"requestId": "req_abc"
}
Clientes
Cadastrar cliente
Cadastra pagador (CPF/CNPJ) para cobranças e assinaturas.
POST
/
customers
/
create
curl -X POST 'https://api.goatpay.com.br/v1/customers/create' \
-H 'X-API-Key: gp_live_SUA_CHAVE' \
-H 'Content-Type: application/json' \
-d '{ "name": "Cliente Teste", "email": "cliente@email.com", "document": "12345678909" }'
{
"success": true,
"message": "Cliente criado",
"data": {
"id": "clx_customer",
"name": "Cliente Exemplo",
"email": "cliente@email.com",
"whatsapp": "11999999999",
"phone": "11999999999",
"document": "123.456.789-09",
"city": "São Paulo",
"state": "SP",
"type": "PF",
"status": "Ativo",
"createdAt": "2026-07-01T12:00:00.000Z",
"lastActivityAt": "2026-07-04T10:00:00.000Z",
"transactions": 5,
"volume": 499.5
},
"requestId": "req_abc"
}
curl -X POST 'https://api.goatpay.com.br/v1/customers/create' \
-H 'X-API-Key: gp_live_SUA_CHAVE' \
-H 'Content-Type: application/json' \
-d '{ "name": "Cliente Teste", "email": "cliente@email.com", "document": "12345678909" }'
{
"success": true,
"message": "Cliente criado",
"data": {
"id": "clx_customer",
"name": "Cliente Exemplo",
"email": "cliente@email.com",
"whatsapp": "11999999999",
"phone": "11999999999",
"document": "123.456.789-09",
"city": "São Paulo",
"state": "SP",
"type": "PF",
"status": "Ativo",
"createdAt": "2026-07-01T12:00:00.000Z",
"lastActivityAt": "2026-07-04T10:00:00.000Z",
"transactions": 5,
"volume": 499.5
},
"requestId": "req_abc"
}
Corpo da requisição
string
required
Nome (até 200 caracteres).
string
required
E-mail.
string
required
CPF (11) ou CNPJ (14 dígitos).
string
Telefone.
string
PF ou PJ (inferido pelo documento se omitido).
Authorizations
Chave gp_live_... criada em Integrações → Chaves de API no dashboard.
Body
application/json
Maximum string length:
200CPF (11 dígitos) ou CNPJ (14), somente números.
Pattern:
^(\d{11}|\d{14})$Available options:
PF, PJ, pf, pj Ativo, Inativo, Bloqueado ou active/inactive/blocked
Maximum string length:
20Maximum string length:
20Maximum string length:
120Maximum string length:
2
